Loading...
Searching...
No Matches
Opm::BlackOilSolventParams< Scalar > Struct Template Reference

Struct holding the parameters for the BlackOilSolventModule class. More...

`#include <blackoilsolventparams.hpp>`

## Public Types

using | BrineCo2Pvt = ::Opm::BrineCo2Pvt<Scalar>
using | BrineH2Pvt = ::Opm::BrineH2Pvt<Scalar>
using | Co2GasPvt = ::Opm::Co2GasPvt<Scalar>
using | H2GasPvt = ::Opm::H2GasPvt<Scalar>
using | SolventPvt = ::Opm::SolventPvt<Scalar>
using | TabulatedFunction = Tabulated1DFunction<Scalar>

## Public Member Functions

void | setNumSatRegions (unsigned numRegions)
| Specify the number of satuation regions.
void | setMsfn (unsigned satRegionIdx, const TabulatedFunction &msfnKrsg, const TabulatedFunction &msfnKro)
| Specify miscible relative permeability multipliers of a single region.

## Public Attributes

BrineCo2Pvt | brineCo2Pvt_ {}
BrineH2Pvt | brineH2Pvt_ {}
Co2GasPvt | co2GasPvt_ {}
H2GasPvt | h2GasPvt_ {}
SolventPvt | solventPvt_ {}
std::vector< TabulatedFunction > | ssfnKrg_ {}
std::vector< TabulatedFunction > | ssfnKrs_ {}
std::vector< TabulatedFunction > | sof2Krn_ {}
std::vector< TabulatedFunction > | misc_ {}
std::vector< TabulatedFunction > | pmisc_ {}
std::vector< TabulatedFunction > | msfnKrsg_ {}
std::vector< TabulatedFunction > | msfnKro_ {}
std::vector< TabulatedFunction > | sorwmis_ {}
std::vector< TabulatedFunction > | sgcwmis_ {}
std::vector< Scalar > | tlMixParamViscosity_ {}
std::vector< Scalar > | tlMixParamDensity_ {}
std::vector< TabulatedFunction > | tlPMixTable_ {}
bool | isMiscible_ = false
bool | rsSolw_active_ = false
bool | co2sol_ = false
bool | h2sol_ = false

## Detailed Description

template<class Scalar>
struct Opm::BlackOilSolventParams< Scalar >

Struct holding the parameters for the BlackOilSolventModule class.

## Member Function Documentation

## setMsfn()

template<class Scalar>

void Opm::BlackOilSolventParams< Scalar >::setMsfn | ( | unsigned | satRegionIdx,
|  | const TabulatedFunction & | msfnKrsg,
|  | const TabulatedFunction & | msfnKro )

Specify miscible relative permeability multipliers of a single region.

The index of specified here must be in range [0, numSatRegions)

## setNumSatRegions()

template<class Scalar>

void Opm::BlackOilSolventParams< Scalar >::setNumSatRegions | ( | unsigned | numRegions | ) |

Specify the number of satuation regions.

This must be called before setting the SSFN of any region.

The documentation for this struct was generated from the following files:

- opm/models/blackoil/blackoilsolventparams.hpp
- opm/models/blackoil/blackoilsolventparams.cpp